Holger's Java API

## com.antelmann.opengeodb
Class GeoTypeName

    java.lang.Object
      com.antelmann.opengeodb.GeoTypeName

All Implemented Interfaces:
  Serializable

    public class GeoTypeName

extends Object
implements Serializable

Since:
  30.12.2014, 14:07:36
Author:
  holger
See Also:
  Serialized Form

Field Summary
`static int` `AREA` FLOAT value
`static int` `CAR` TEXT value
`static int` `COUNTRY` TEXT value
`static int` `LAYER` TEXT value
`static int` `NAME` TEXT value
`static int` `PARENT` TEXT value
`static int` `PHONE` TEXT value
`static int` `POPULATION` INT value
`static int` `SORT_NAME` TEXT value
`static int` `TYPE` TEXT value
`static int` `ZIP` TEXT value

Method Summary
`boolean` `equals(Object obj)`
`int` `getID()`
`String` `getLocale()`
`String` `getName()`
`int` `hashCode()`
`boolean` `isLayerName()`
`boolean` `isName()`
`boolean` `isParentName()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PARENT

    public static final int PARENT

  TEXT value

  See Also:
    Constant Field Values

### LAYER

    public static final int LAYER

  TEXT value

  See Also:
    Constant Field Values

### NAME

    public static final int NAME

  TEXT value

  See Also:
    Constant Field Values

### ZIP

    public static final int ZIP

  TEXT value

  See Also:
    Constant Field Values

### AREA

    public static final int AREA

  FLOAT value

  See Also:
    Constant Field Values

### POPULATION

    public static final int POPULATION

  INT value

  See Also:
    Constant Field Values

### PHONE

    public static final int PHONE

  TEXT value

  See Also:
    Constant Field Values

### CAR

    public static final int CAR

  TEXT value

  See Also:
    Constant Field Values

### TYPE

    public static final int TYPE

  TEXT value

  See Also:
    Constant Field Values

### SORT_NAME

    public static final int SORT_NAME

  TEXT value

  See Also:
    Constant Field Values

### COUNTRY

    public static final int COUNTRY

  TEXT value

  See Also:
    Constant Field Values

Method Detail

### getID

    public int getID()

### getLocale

    public String getLocale()

### getName

    public String getName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### isParentName

    public boolean isParentName()

### isLayerName

    public boolean isLayerName()

### isName

    public boolean isName()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads